import React, { useState, useRef, useEffect, useMemo, useCallback } from "react";
import { Card, useTheme, List, CardContent, Input, InputAdornment, IconButton, TextField } from "@mui/material";
import { useForm } from 'react-hook-form';
import Warehouse from "./warehouse";
import { Filter, SearchInput } from 'react-admin';


export const MySearchInput = (props) => {
    const [searchTerm, setSearchTerm] = useState('');
    
    return (
        <>
            <TextField
                label="Search"
                value={searchTerm}
                onChange={(e) => setSearchTerm(e.target.value)}
            />
            {/* <Button onClick={handleSearch}>Search</Button> */}
        </>
    )
}